Bug 507752 - snd_hda_intel + pulseaudio = crackling, popping, choppy sound and pulseaudio crashes
snd_hda_intel + pulseaudio = crackling, popping, choppy sound and pulseaudio ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Desktop, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 23:00 EDT by Tomasz Chrzczonowicz
Modified: 2012-06-04 10:43 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 10:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of alsa-info (22.14 KB, text/plain)
2009-06-23 23:02 EDT, Tomasz Chrzczonowicz
no flags Details
Output of pulseaudio -vv (2.17 KB, text/plain)
2009-06-23 23:02 EDT, Tomasz Chrzczonowicz
no flags Details
Output of lspci (1.26 KB, text/plain)
2009-06-23 23:03 EDT, Tomasz Chrzczonowicz
no flags Details
Pulse audio logs with "options snd_hda_intel power_save=0" (509.26 KB, application/octet-stream)
2009-06-23 23:05 EDT, Tomasz Chrzczonowicz
no flags Details
Pulse audio logs with "options snd_hda_intel power_save=0" (16.36 KB, text/plain)
2009-06-23 23:08 EDT, Tomasz Chrzczonowicz
no flags Details
Pulse audio logs without "options snd_hda_intel power_save=0" (2.21 KB, text/plain)
2009-06-23 23:08 EDT, Tomasz Chrzczonowicz
no flags Details
Pulse audio logs for Fedora 11 (25.02 KB, text/plain)
2009-06-24 08:24 EDT, Tomasz Chrzczonowicz
no flags Details
My lsmod on Fedora 11 (2.61 KB, text/plain)
2009-06-30 02:32 EDT, Tomasz Chrzczonowicz
no flags Details
output of pulseaudio -vvvv (66.61 KB, application/x-gzip)
2010-09-27 13:43 EDT, renke
no flags Details
Alsa Info for comment #44 (23.64 KB, text/plain)
2011-02-18 15:26 EST, Jase Whipp
no flags Details

  None (edit)
Description Tomasz Chrzczonowicz 2009-06-23 23:00:17 EDT
Description of problem:

When I log in, the welcome sound is choppy.
When I move any application window the sound gets choppy window movement as well.
When the sound slider is not set at max, the sound is popping and crackling.
Occasionally, the pulseaudio server crashes.

Version-Release number of selected component (if applicable):

alsa-plugins-pulseaudio.i386        1.0.18-2.fc10                  installed
alsa-lib.i386                       1.0.20-1.fc10                      installed
alsa-plugins-pulseaudio.i386        1.0.18-2.fc10                      installed
alsa-utils.i386                     1.0.20-2.fc10                      installed
bluez-alsa.i386                     4.30-2.fc10                        installed

pulseaudio.i386                         0.9.14-3.fc10                  installed
pulseaudio-core-libs.i386               0.9.14-3.fc10                  installed
pulseaudio-esound-compat.i386           0.9.14-3.fc10                  installed
pulseaudio-libs.i386                    0.9.14-3.fc10                  installed
pulseaudio-libs-glib2.i386              0.9.14-3.fc10                  installed
pulseaudio-module-gconf.i386            0.9.14-3.fc10                  installed
pulseaudio-module-x11.i386              0.9.14-3.fc10                  installed
pulseaudio-utils.i386                   0.9.14-3.fc10                  installed

Additional Info:

I tried the workaround with su -c 'echo "options snd_hda_intel power_save=0"' > /etc/modprobe.d/snd_hda_intel.conf and rebooting, but it didn't help.
Comment 1 Tomasz Chrzczonowicz 2009-06-23 23:01:12 EDT
On Ubuntu 9.04 the sound work flawlessly.
Comment 2 Tomasz Chrzczonowicz 2009-06-23 23:02:17 EDT
Created attachment 349182 [details]
Output of alsa-info
Comment 3 Tomasz Chrzczonowicz 2009-06-23 23:02:51 EDT
Created attachment 349183 [details]
Output of pulseaudio -vv
Comment 4 Tomasz Chrzczonowicz 2009-06-23 23:03:29 EDT
Created attachment 349184 [details]
Output of lspci
Comment 5 Tomasz Chrzczonowicz 2009-06-23 23:05:30 EDT
Created attachment 349185 [details]
Pulse audio logs with "options snd_hda_intel power_save=0"
Comment 6 Tomasz Chrzczonowicz 2009-06-23 23:08:01 EDT
Created attachment 349187 [details]
Pulse audio logs with "options snd_hda_intel power_save=0"
Comment 7 Tomasz Chrzczonowicz 2009-06-23 23:08:43 EDT
Created attachment 349188 [details]
Pulse audio logs without "options snd_hda_intel power_save=0"
Comment 8 Tomasz Chrzczonowicz 2009-06-24 08:15:29 EDT
There is a similar problem in Fedora 11 (as opposed to Fedora 10 from the original report)

Even though the login sound is still very choppy, the sound afterwards, during system use is noticeably less crackling and popping (but there is still much of it left and quite annoying)

alsa-lib.i586                       1.0.20-1.fc11                      installed
alsa-plugins-pulseaudio.i586        1.0.18-3.fc11                      installed
alsa-utils.i586                     1.0.20-3.fc11                      installed
bluez-alsa.i586                     4.37-2.fc11                        installed

alsa-plugins-pulseaudio.i586            1.0.18-3.fc11                  installed
pulseaudio.i586                         0.9.15-14.fc11                 installed
pulseaudio-esound-compat.i586           0.9.15-14.fc11                 installed
pulseaudio-libs.i586                    0.9.15-14.fc11                 installed
pulseaudio-libs-glib2.i586              0.9.15-14.fc11                 installed
pulseaudio-module-bluetooth.i586        0.9.15-14.fc11                 installed
pulseaudio-module-gconf.i586            0.9.15-14.fc11                 installed
pulseaudio-module-x11.i586              0.9.15-14.fc11                 installed
pulseaudio-utils.i586                   0.9.15-14.fc11                 installed
Comment 9 Tomasz Chrzczonowicz 2009-06-24 08:24:51 EDT
Created attachment 349229 [details]
Pulse audio logs for Fedora 11
Comment 10 Lennart Poettering 2009-06-29 08:36:48 EDT
Hmm, you get a substantial number of drop-outs, of around 2s of length. There's something wrong with the scheduling on your machine. Are you using any closed source drivers?
Comment 11 Tomasz Chrzczonowicz 2009-06-30 02:32:48 EDT
Created attachment 349909 [details]
My lsmod on Fedora 11

This is my lsmod on Fedora 11.
Comment 12 Tomasz Chrzczonowicz 2009-06-30 02:33:37 EDT
I'm not using any proprietary drivers.
Comment 13 Steve 2009-07-06 08:39:25 EDT
Just a note that I am also experiencing the same issue with Fedora 11.
Comment 14 Tomasz Chrzczonowicz 2009-07-08 09:29:55 EDT
When I disable (?) scheduling in with "load-module module-hal-detect tsched=0 " in /etc/pulse/default.pa , it doesn't help.

The logs I get when sound gets choppy and drops out look like this:

Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:06 localhost pulseaudio[2698]: asyncq.c: q overrun, queuing locally
Jul  8 15:23:07 localhost pulseaudio[2698]: cpulimit.c: Received request to terminate due to CPU overload.
Jul  8 15:23:08 localhost pulseaudio[2698]: core.c: Assertion 'pa_idxset_isempty(c->clients)' failed at pulsecore/core.c:176, function core_free(). Aborting.
Jul  8 15:23:08 localhost pulseaudio[2762]: pid.c: Stale PID file, overwriting.
Jul  8 15:23:08 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  8 15:23:08 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  8 15:23:08 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  8 15:23:08 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  8 15:23:09 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32

Also, following the guide at:

http://forums.fedoraforum.org/showthread.php?p=1237279#post1237279

Doesn't work.
Comment 15 Tomasz Chrzczonowicz 2009-07-08 14:00:52 EDT
When I follow the guide in my previous comment (enabling realtime-scheduling), but this time:

1. Add myself to pulse-rt group, and
2. Allow PulseAudio to acquire realtime and high priority in PolicyKit(via polkit-gnome-authorization).

Then:

1. The crackling and popping and choppiness in sound playback is gone.
2. There are no error log messages (at least at the default logging level)

But:

1. There is a serious overall performance hit, noticeable especially when playing videos on my Celeron 420M 1.6 GHZ, as they get all choppy.
2. When I move some windows around the desktop the sound drops out (but comes back almost instantly when I stop, compared to many seconds of wait without all this)
Comment 16 Tomasz Chrzczonowicz 2009-07-09 17:21:12 EDT
Disallowing PulseAudio realtime and high priority in PolicyKit makes the cpu load more acceptable.

However, playing 2 streams can still cause CPU overload:

Jul  9 23:15:49 localhost pulseaudio[2258]: cpulimit.c: Received request to terminate due to CPU overload.
Jul  9 23:16:05 localhost pulseaudio[5220]: pid.c: Stale PID file, overwriting.
Jul  9 23:16:05 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  9 23:16:05 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  9 23:16:05 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  9 23:16:05 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Jul  9 23:16:05 localhost kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
Comment 17 Chris Ward 2009-08-28 05:56:27 EDT
I'm getting popping and crackiling in F12... looking now in BZ if this issue hasn't already been reported against F12 alpha.
Comment 18 Nineth 2009-08-28 18:35:24 EDT
I have the same problem too after upgrading to Fedora 11. It happens with any audio application (xmms, flash player, ...). After playing for a few seconds, the audio is almost gone (it crackles, pulseaudio CPU utilization goes up to 100%, and the audio is just a sequence of dots).

I have Intel ICH5 audio. 
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)

Everything was fine under Fedora 9/10. This is a really annoying problem; can't play anything. Priority should be changed to high.

pulseaudio-0.9.15-14.fc11.i586
Comment 19 Nineth 2009-08-29 01:19:01 EDT
Here's the output from pulseaudio when the above happens:

--------
.................
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 9 "ALSA Playback"                                                                      
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 10 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 10 "ALSA Playback"                                                                     
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 11 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 11 "ALSA Playback"                                                                     
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 12 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 12 "ALSA Playback"                                                                     
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 13 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 13 "ALSA Playback"                                                                     
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 14 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                                                        
D: alsa-sink.c: setting avail_min=5020                                                                                
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                                                         
D: core.c: Hmm, no streams around, trying to vacuum.                                                                  
I: sink-input.c: Freeing input 14 "ALSA Playback"                                                                     
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                                                         
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.                                   
D: resampler.c: Channel matrix:                                                                                       
D: resampler.c:        I00   I01                                                                                      
D: resampler.c:     +------------                                                                                     
D: resampler.c: O00 | 1.000 0.000                                                                                     
D: resampler.c: O01 | 0.000 1.000                                                                                     
D: resampler.c: O02 | 1.000 0.000                                                                                     
D: resampler.c: O03 | 0.000 1.000                                                                                     
D: resampler.c: O04 | 0.500 0.500                                                                                     
D: resampler.c: O05 | 0.000 0.000                                                                                     
I: resampler.c: Using resampler 'copy'                                                                                
I: resampler.c: Using s16le as working format.                                                                        
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12, prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436, base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 15 "ALSA Playback" on alsa_output.0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right                                                                                                
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms                                                    
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Requesting rewind due to latency change.                                                              
D: alsa-sink.c: Requested to rewind 65532 bytes.                                                                      
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                                                            
D: protocol-native.c: Requesting rewind due to end of underrun.                                                       
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.                                                  
W: ratelimit.c: 5989 events suppressed                                                                                
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
W: ratelimit.c: 8061 events suppressed                                                                                
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
W: ratelimit.c: 8188 events suppressed                                                                                
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
W: ratelimit.c: 7534 events suppressed                                                                                
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
W: ratelimit.c: 8276 events suppressed                                                                                
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
D: alsa-sink.c: Wakeup from ALSA!                                                                                     
N: alsa-sink.c: Increasing minimal latency to 4.00 ms                                                                 
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
N: alsa-sink.c: Increasing minimal latency to 8.00 ms                                                                 
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
D: alsa-sink.c: Latency set to 20.00ms                                                                                
D: alsa-sink.c: hwbuf_unused=54948                                                                                    
D: alsa-sink.c: setting avail_min=5021                                                                                
Soft CPU time limit exhausted, terminating.                                                                           
E: cpulimit.c: Received request to terminate due to CPU overload.                                                     
I: main.c: Daemon shutdown initiated.                                                                                 
I: module.c: Unloading "module-alsa-sink" (index: #0).
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5: 100%
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=5020
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.
D: alsa-sink.c: Requested to rewind 65532 bytes.
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.
D: core.c: Hmm, no streams around, trying to vacuum.
I: sink-input.c: Freeing input 15 "ALSA Playback"
D: core-subscribe.c: Dropped redundant event due to change event.
D: core-subscribe.c: Dropped redundant event due to remove event.
D: alsa-sink.c: Thread shutting down
I: sink.c: Freeing sink 0 "alsa_output.0"
I: source.c: Freeing source 0 "alsa_output.0.monitor"
I: module.c: Unloaded "module-alsa-sink" (index: #0).
I: module.c: Unloading "module-esound-protocol-unix" (index: #1).
I: module.c: Unloaded "module-esound-protocol-unix" (index: #1).
I: module.c: Unloading "module-native-protocol-unix" (index: #2).
I: client.c: Freed 0 "ALSA plug-in [npviewer.bin]"
I: module.c: Unloaded "module-native-protocol-unix" (index: #2).
I: module.c: Unloading "module-stream-restore" (index: #3).
I: module.c: Unloaded "module-stream-restore" (index: #3).
I: module.c: Unloading "module-default-device-restore" (index: #5).
I: module.c: Unloaded "module-default-device-restore" (index: #5).
I: module.c: Unloading "module-rescue-streams" (index: #6).
I: module.c: Unloaded "module-rescue-streams" (index: #6).
I: module.c: Unloading "module-suspend-on-idle" (index: #7).
I: module.c: Unloaded "module-suspend-on-idle" (index: #7).
I: module.c: Unloading "module-x11-publish" (index: #8).
I: module.c: Unloaded "module-x11-publish" (index: #8).
I: main.c: Daemon terminated.
Comment 20 Nineth 2009-09-13 22:14:47 EDT
I can confirm the problem exists even in the absence of pulseaudio, but becomes worse with pulseaudio (crashes). So the issue is probably in alsa or the sound driver. 

Given how long this has been outstanding, has a fix already been found?
Comment 21 Lennart Poettering 2009-10-14 17:56:34 EDT
If this problem is not specific to PA I'll reassign to the kernel/drivers.
Comment 22 Nineth 2009-10-14 18:00:52 EDT
Yes, it's not specific to Pulseaudio.
Comment 23 Bug Zapper 2009-11-18 05:04:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Chris Ward 2009-11-18 05:10:38 EST
I'm still getting this on occasion. So it doesn't die. I'm resetting to F12. Since i'm getting it on F12. I'll pay more attention to the problem again and try to post more information soon.
Comment 25 Nineth 2009-11-18 10:41:10 EST
After the last kernel update (not sure which one), I cannot reproduce the problem. Audio output is now perfect. I now have 2.6.30.8-64.fc11.i586.
Comment 26 Manuel Bejarano 2009-11-19 08:50:02 EST
It's still present in Fedora 12, kernel version 2.6.31.5-127.fc12.x86_64.
Comment 27 Boleslaw Ciesielski 2009-12-06 21:44:00 EST
I am seeing (well, hearing) loud pops at the start and few seconds after the end of a sound played. This happens with 2.6.31.6-145.fc12.x86_64, with or without pulseaudio.
Comment 28 Boleslaw Ciesielski 2009-12-06 21:44:49 EST
Forgot to say, the above (#27) is with Intel ICH7.
Comment 29 Christopher Beland 2010-02-23 03:46:47 EST
According to Bug 527286, kernels 2.6.32.3 and greater solve a power save problem which were causing similar symptoms to this report.  Is anyone experiencing this problem with a newer version?  (kernel-2.6.32.8-58.fc12 is currently available in the updates-testing repository.)  There may be multiple problems, one due to power saving, and the original problem Tomek experienced, which is apparently not due to power save issues.
Comment 30 Alexander Ploumistos 2010-03-06 22:22:50 EST
After updating the kernel to version 2.6.32.9-67 and pulseaudio to 0.9.21-5, I have been getting a lot of "choppy" audio regardless of the app that is used for sound playback. /var/log/messages however doesn't contain any relevant info. I am running F12 on a Gigabyte MA-790FXT-UD5P which comes with the Realtek ALC889A audio codec.
Comment 31 Teer Sandal 2010-03-13 12:31:29 EST
I had got such behavior of the pulseaudio subsystem with Fedora 11 and have got with Fedora 12. Sound is crackling after changing volume, sometimes after switching to next track in audio-player, sometimes after playing sound from some application simultaneously.
In some cases changing the profile (Pulseaudio Volume Control\Configuration Tab)  from "Analog Stereo Duplex" to "Analog Surround 5.1 Output" for example help me. But not for a long time.
In some cases "pulseaudio -k" is required in addition to previous action.
 
My Software and Hardware:
Fedora 12 x86_64
kernel 2.6.32.9-67.fc12.x86_64
pulseaudio 0.9.21-5
m/b ASRock A790GXH/128M (AMD 790GX)
Audio device Intel HDA (ATI SBx00 Azalia)
Comment 32 Nineth 2010-03-13 12:41:20 EST
Teer, I think the problem is with your Intel HDA audio driver. Can you go through the native sound device and see if you can reproduce the same problem? i.e., with xmms, go to the audio output device and change it to intel8x0 and see.
Comment 33 Teer Sandal 2010-03-19 17:04:19 EDT
(In reply to comment #32)

I have tried 'xmms' - that's awful experience :)
I might set libALSA or libOSS. There is no "intel8x0" in xmms preferencies. But all is to no purpose. At this moment I have the MP3-files only, but xmms cannot play it without additional actions. I set ALSA instead PulseAudio in SMplayer and VLC and they play audio-files correctly. Herewith, afaik ALSA works with HDA via pulseaudio module (alsa-plugins-pulseaudio-1.0.22-1.fc12.x86_64). Although I can mistake.
So, in my case, problem is around pulse (not audio driver) isn't it?
Comment 34 Nineth 2010-04-15 21:51:12 EDT
This is strange, because when I had the problem, I had it with all audio devices, and so it was not pulse. I no longer have that issue. Sometimes you may not notice the stuttering unless you increase the volume and wait for portions of audio where this not much output -- you may hear the stuttering. Or may be there is more than one problem.

BTW, for xmms, you need not choose from the list of devices in the drop-down list for your output device; you can type something on your own there.  Of course, it'll complain if that device doesn't exist.
Comment 35 Nineth 2010-05-28 07:35:04 EDT
The problem is now back for me with 
2.6.30.10-105.2.23.fc11.i586

Crackling happens with or without pulseaudio.
Comment 36 Nineth 2010-05-28 07:42:54 EDT
Also, the problem appears to be intermittent, as if the audio output device goes into a bad state.
Comment 37 Tihomir 2010-07-12 09:44:23 EDT
I'm experiencing similar problems, please refer to this bug https://bugzilla.redhat.com/show_bug.cgi?id=597502.
Comment 38 Tihomir 2010-07-12 12:35:44 EDT
Jul 11 13:55:46 localhost pulseaudio[14699]: pid.c: Daemon already running.
Jul 11 13:55:46 localhost pulseaudio[14700]: pid.c: Daemon already running.
Jul 11 13:59:05 localhost yum: Erased: kde-settings-pulseaudio
Jul 11 13:59:06 localhost yum: Erased: alsa-plugins-pulseaudio
Jul 11 14:00:29 localhost pulseaudio[14688]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jul 11 14:00:29 localhost pulseaudio[14688]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jul 11 14:00:29 localhost pulseaudio[14688]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jul 11 14:02:22 localhost pulseaudio[15128]: pid.c: Daemon already running.
Jul 11 14:02:23 localhost pulseaudio[15146]: pid.c: Daemon already running.
Jul 11 14:02:24 localhost pulseaudio[15078]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Jul 11 14:02:24 localhost pulseaudio[15078]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Jul 11 14:02:24 localhost pulseaudio[15078]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Jul 11 14:03:53 localhost yum: Erased: pulseaudio-module-jack
Jul 11 14:03:54 localhost yum: Erased: pulseaudio-module-bluetooth
Jul 11 14:03:55 localhost yum: Erased: pulseaudio-module-x11
Jul 11 14:03:56 localhost yum: Erased: pulseaudio
Jul 12 16:47:08 localhost yum: Installed: pulseaudio-0.9.21-6.fc13.x86_64
Jul 12 16:47:09 localhost yum: Installed: alsa-plugins-pulseaudio-1.0.22-1.fc13.x86_64
Jul 12 16:47:30 localhost rtkit-daemon[5030]: Sucessfully made thread 5028 of process 5028 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 16:48:06 localhost rtkit-daemon[5030]: Sucessfully made thread 5049 of process 5049 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 16:57:53 localhost yum: Installed: pulseaudio-libs-zeroconf-0.9.21-6.fc13.x86_64
Jul 12 16:57:53 localhost yum: Installed: pulseaudio-module-gconf-0.9.21-6.fc13.x86_64
Jul 12 17:08:27 localhost rtkit-daemon[5030]: Sucessfully made thread 6328 of process 6328 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:08:27 localhost rtkit-daemon[5030]: Sucessfully made thread 6336 of process 6336 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:08:27 localhost pulseaudio[6336]: pid.c: Daemon already running.
Jul 12 17:08:27 localhost rtkit-daemon[5030]: Sucessfully made thread 6337 of process 6337 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:08:27 localhost pulseaudio[6337]: pid.c: Daemon already running.
Jul 12 17:22:29 localhost rtkit-daemon[1895]: Sucessfully made thread 1893 of process 1893 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:22:43 localhost rtkit-daemon[1895]: Sucessfully made thread 2157 of process 2157 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:22:43 localhost pulseaudio[2157]: pid.c: Daemon already running.
Jul 12 17:22:43 localhost rtkit-daemon[1895]: Sucessfully made thread 2158 of process 2158 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 17:22:43 localhost pulseaudio[2158]: pid.c: Daemon already running.
Jul 12 19:03:16 localhost pulseaudio[1893]: ratelimit.c: 153 events suppressed
Jul 12 19:11:59 localhost pulseaudio[1893]: ratelimit.c: 505 events suppressed
Jul 12 19:12:17 localhost pulseaudio[1893]: ratelimit.c: 407 events suppressed
Jul 12 19:12:41 localhost pulseaudio[1893]: ratelimit.c: 197 events suppressed
Jul 12 19:14:16 localhost pulseaudio[1893]: ratelimit.c: 103 events suppressed
Jul 12 19:14:35 localhost rtkit-daemon[1895]: Sucessfully made thread 3626 of process 3626 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:14:35 localhost rtkit-daemon[1895]: Sucessfully made thread 3633 of process 3633 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:14:35 localhost pulseaudio[3633]: pid.c: Daemon already running.
Jul 12 19:14:35 localhost rtkit-daemon[1895]: Sucessfully made thread 3634 of process 3634 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:14:35 localhost pulseaudio[3634]: pid.c: Daemon already running.
Jul 12 19:14:35 localhost rtkit-daemon[1895]: Sucessfully made thread 3635 of process 3635 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:14:35 localhost pulseaudio[3635]: pid.c: Daemon already running.
Jul 12 19:18:22 localhost rtkit-daemon[1931]: Sucessfully made thread 1929 of process 1929 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:18:23 localhost pulseaudio[1929]: pid.c: Stale PID file, overwriting.
Jul 12 19:18:29 localhost rtkit-daemon[1931]: Sucessfully made thread 2175 of process 2175 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:18:29 localhost pulseaudio[2175]: pid.c: Daemon already running.
Jul 12 19:18:29 localhost rtkit-daemon[1931]: Sucessfully made thread 2176 of process 2176 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jul 12 19:18:29 localhost pulseaudio[2176]: pid.c: Daemon already running.

Here are some logs. I tried to replace pulseaudio with OSS, but it was screwing with suspend (I lose sound on resume), so I put it back in. JuK managed to play two songs before locking up due to unable to read source errors, freezing the system, no even Alt+SysRq+B could snap it out of it, had to perform hard reboot.
Comment 39 Tihomir 2010-07-13 03:33:58 EDT
Could somebody set version to 13? I'm running Fedora 13 and the bug is still reproducible.
Comment 40 Raymond 2010-07-17 05:32:33 EDT
(In reply to comment #9)
> Created an attachment (id=349229) [details]
> Pulse audio logs for Fedora 11    


un 24 07:02:52 localhost kernel: pulseaudio[3632]: segfault at 66e898 ip 0066e898 sp bf8ffefc error 4 in librt-2.9.so[75f000+8000]
Comment 41 renke 2010-09-27 13:43:15 EDT
Created attachment 449980 [details]
output of pulseaudio -vvvv

I think the situation here is best described by this bug - with the current laptop and Fedora 13 I have (regardless which application I use) permanently underruns with pulseaudio and the Nvidia snd_hda_intel.

Testing with tsched=0 is impossible as of #537378.

uname -a
Linux auadasschmerzt 2.6.34.7-56.fc13.i686 #1 SMP Wed Sep 15 03:33:58 UTC 2010 i686 i686 i386 GNU/Linux

lspci (audio)
00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)

lsmod (snd - the situation is identical [=bad] without the closed source nvidia drivers)
snd_hda_codec_nvhdmi    11021  1 
snd_hda_codec_realtek   209340  1 
snd_hda_intel          19875  4 
snd_hda_codec          70968  3 snd_hda_codec_nvhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4860  1 snd_hda_codec
snd_seq                42775  0 
snd_seq_device          5035  1 snd_seq
snd_pcm                62013  3 snd_hda_intel,snd_hda_codec
snd_timer              15391  2 snd_seq,snd_pcm
snd                    46591  16 snd_hda_codec_nvhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               4934  1 snd
snd_page_alloc          6033  2 snd_hda_intel,snd_pcm

The machine itself is nothing special except maybe the encrypted harddisk - but playback should'nt be a problem, the music is interrupted every couple of seconds, even without any started applications except the Gnome desktop and rhythmbox.

Just drop a line when you need different/more input.

Greetings, Renke
Comment 42 renke 2010-10-22 12:58:40 EDT
PS at least my problem is not related to the kernel and/or alsa - applying

   gconftool-2 -t string --set /system/gstreamer/0.10/default/musicaudiosink alsasink

solved all my issues with rhytmbox.

should I file a new bug against pulseaudio?

Renke
Comment 43 Raymond 2010-10-22 20:40:43 EDT
PA is using front device to capture but front device is designed for playback only 

snd_pcm_dump() had already told you that is is using soft volume PCM "PCM Playback Volume"



D: alsa-source.c: setting avail_min=87310
D: alsa-mixer.c: Activating path analog-input
D: alsa-mixer.c: Path analog-input (Analog Input), direction=2, priority=100, probed=yes, supported=yes, has_mute=yes, has_volume=yes, has_dB=yes, min_volume=0, max_volume=46, min_dB=-17, max_dB=29
D: alsa-mixer.c: Element Capture, direction=2, switch=1, volume=1, enumeration=0, required=2, required_absent=0, mask=0x403f600000000f66, n_channels=2, override_map=yes
I: alsa-source.c: Hardware volume ranges from -17,00 dB to 29,00 dB.
I: alsa-source.c: Fixing base volume to -29,00 dB
I: alsa-source.c: Using hardware volume control. Hardware dB scale supported.
I: alsa-source.c: Using hardware mute control.
D: alsa-util.c: snd_pcm_dump():
D: alsa-util.c: Soft volume PCM
D: alsa-util.c: Control: PCM Playback Volume
D: alsa-util.c: min_dB: -51
D: alsa-util.c: max_dB: 0
D: alsa-util.c: resolution: 256
D: alsa-util.c: Its setup is:
D: alsa-util.c:   stream       : CAPTURE
D: alsa-util.c:   access       : MMAP_INTERLEAVED
D: alsa-util.c:   format       : S16_LE
D: alsa-util.c:   subformat    : STD
D: alsa-util.c:   channels     : 2
D: alsa-util.c:   rate         : 44100
D: alsa-util.c:   exact rate   : 44100 (44100/1)
D: alsa-util.c:   msbits       : 16
D: alsa-util.c:   buffer_size  : 88192
D: alsa-util.c:   period_size  : 44096
D: alsa-util.c:   period_time  : 999909
D: alsa-util.c:   tstamp_mode  : ENABLE
D: alsa-util.c:   period_step  : 1
D: alsa-util.c:   avail_min    : 87310
D: alsa-util.c:   period_event : 0
D: alsa-util.c:   start_threshold  : -1
D: alsa-util.c:   stop_threshold   : 1444937728
D: alsa-util.c:   silence_threshold: 0
D: alsa-util.c:   silence_size : 0
D: alsa-util.c:   boundary     : 1444937728
Comment 44 Jase Whipp 2011-02-18 15:24:36 EST
I have the snd_hda_intel module running on Fedora 14 x86_64,  and did some testing today.  

I see this when an app starts playing a sound, there's a scratch or a pop, when the sound stops, there's a delay, then you here a pop or scratch again. It's easy to reproduce this with pidgin as it doesn't play a steady sound stream. I wanted to know if this is pulse or alsa, so I uninstalled pulseaudio.  With just alsa and pidgin set to alsa or auto, no cracks pops or fizzles, just smooth sound.

Using the sound preferences tool, and watching the applications tab, when an application appears (starts playing sound) you here a pop or scratch.  When it disappears (not sure what to call this event, a disconnect perhaps?) scratch and pop again.

I also tested with an app (in this case MPD) running and playing a constant sound stream and making pidgin play sounds and I see it as well. This leads me to believe that sound hardware "power save" can't be the issue.  If MPD is playing active sound, how could the hardware be in power save? It can't, it's actively being used.

I also tested using pidgin options Automatic, ALSA and paplay, the only thing I notice is that, when using paplay, the popping and scratching is not as loud, but it's there.

What really poked me to look into this is the music with pidgin running senario.  Music is playing then POP, a second or two, scratch.  It's annoying, and I'll help anyway I can get a fix because it just drives me nuts.
Comment 45 Jase Whipp 2011-02-18 15:26:03 EST
Created attachment 479602 [details]
Alsa Info for comment #44
Comment 46 Bug Zapper 2011-06-02 13:59:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 47 Toby Haynes 2011-06-03 12:05:56 EDT
This also occurs with Fedora 15.

[16604:1]>lspci -vv -s 00:1b.0
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 48
	Region 0: Memory at ee400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

It is most noticeable in Gnome-shell when entering the Activities screen and other visual effects occur.
Comment 48 Bug Zapper 2011-06-27 10:15:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 49 Jean-François Fortin Tam 2011-06-29 18:41:25 EDT
Tomasz (or anyone with ability to do so), please reopen the bug as per comment 47
Comment 50 Earl Pomeroy 2011-07-23 02:18:05 EDT
I have the same issue but Gnome freezes on me as well. The mouse pointer moves but in not functional. The only keyboard input that works is Ctrl+Alt+Backspace and Ctrl+Alt+F1...F6. It almost always happens while listening to Rhythmbox or watching videos in Firefox. The only clue that I have that this might be related is from my messages.log:

Jul 22 23:28:02 callisto gnome-session[2591]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Jul 22 23:28:02 callisto gnome-keyring-daemon[2583]: dbus failure unregistering from session: Connection is closed
Jul 22 23:28:02 callisto gnome-keyring-daemon[2583]: dbus failure unregistering from session: Connection is closed
Jul 23 05:28:04 callisto rtkit-daemon[31075]: Successfully made thread 5491 of process 5491 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Jul 23 05:28:04 callisto rtkit-daemon[31075]: Failed to make thread 5492 RT: Operation not permitted
Jul 23 05:28:04 callisto rtkit-daemon[31075]: Failed to make thread 5492 RT: Operation not permitted
Jul 23 05:28:04 callisto rtkit-daemon[31075]: Failed to make thread 5493 RT: Operation not permitted
Jul 23 05:28:04 callisto rtkit-daemon[31075]: Failed to make thread 5493 RT: Operation not permitted
Jul 22 23:28:04 callisto pulseaudio[5491]: module-alsa-card.c: Failed to find a working profile.
Jul 22 23:28:04 callisto pulseaudio[5491]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed
Comment 51 Thomas Arnold 2012-01-10 02:44:41 EST
My sound crackles too. In F15 on my EeePC 901, but it seems nobody cares. 
Killing pulse audio and letting systemd start it again fixes the issue for a while.
Comment 52 mikolaj.bugzilla 2012-03-01 10:53:26 EST
Similar bug report, also regarding hda-intel ( on thinkpad T60 ): https://bugzilla.redhat.com/show_bug.cgi?id=710797
Comment 53 Raymond 2012-03-01 19:03:05 EST

(In reply to comment #50)
> I have the same issue but Gnome freezes on me as well. The mouse pointer moves
> but in not functional. The only keyboard input that works is Ctrl+Alt+Backspace
> and Ctrl+Alt+F1...F6. It almost always happens while listening to Rhythmbox or
> watching videos in Firefox. The only clue that I have that this might be
> related is from my messages.log:
> 
> Jul 22 23:28:04 callisto pulseaudio[5491]: module-alsa-card.c: Failed to find a
> working profile.
> Jul 22 23:28:04 callisto pulseaudio[5491]: module.c: Failed to load  module
> "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi"
> card_name="alsa_card.platform-thinkpad_acpi" tsched=yes ignore_dB=no
> card_properties="module-udev-detect.discovered=1""): initialization failed


http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=078a39af886ea3bb590595b973343af77c2837fe

Ignore the virtual "thinkpad-acpi" card
Comment 54 Josh Boyer 2012-06-04 10:43:14 EDT
Not sure why this is open against the kernel at this point.  Bug 710797 seems to cover pulseaudio, so closing this out.

Note You need to log in before you can comment on or make changes to this bug.